Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleZCECorrelationEngine

    java.lang.Object
      com.ibm.able.rules.AbleInferenceEngine
          com.ibm.able.rules.AbleCorrelationEngine
              com.ibm.able.rules.AbleZCECorrelationEngine

All Implemented Interfaces:
  com.tivoli.zce.IEventProcessor, java.io.Serializable

public class AbleZCECorrelationEngine
extends AbleCorrelationEngine
implements com.tivoli.zce.IEventProcessor

This class wraps the ZCE correlation engine for use in the ABLE rules architecture. Events are passed using the ARL.Event control parameter. Actions are invoke via a callback from the ZCE engine to the processActionBlock method in this class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.rules.AbleCorrelationEngine
`myEvent`

Fields inherited from class com.ibm.able.rules.AbleInferenceEngine
`myDebugLevel, myRuleBlock, myRuleSet, myRulesFiredCount, myTracer, myWorkingMemory`

Fields inherited from interface com.tivoli.zce.IEventProcessor
`IBM_Copyright`

Constructor Summary
`AbleZCECorrelationEngine(AbleRuleSet theRuleSet, AbleLogger theTracer, AbleRuleBlock theRuleBlock)` Constructor for AbleZCECorrelationEngine.

Method Summary
`void` | `infer(AbleRuleBlock theRuleBlock)` Inference over the set of rules in the specified ruleblock object.
`void` | `processEvent(com.tivoli.zce.engine.Event event)` Process an event pass from a ZCE rule that fired
`void` | `processEvents(com.tivoli.zce.engine.EventList events)`

Methods inherited from class com.ibm.able.rules.AbleCorrelationEngine
`evaluateActions, getControlParameter, isRuleBlockValid, setControlParameter`

Methods inherited from class com.ibm.able.rules.AbleInferenceEngine
`allocateWorkingMemory, askUser, conditionalRulesValid, evalAntecedentClause, evalAntecedentExpression, evalAssertionClause, evalAssertionRule, evalConditionalRule, evalConsequentClause, evalDoUntilRule, evalDoWhileRule, evalForLoopRule, evalIfThenElseRule, evalPatternMatchRule, evalSwitchRule, evaluateDoActions, evalWhileDoRule, fireEngineBreakpoint, firePropertyChange, getRuleSet, getRulesFiredCount, getWorkingMemory, init, processAssertions, processConsequent, processConsequent, processConsequentClauses, processRuleBlock, reset, resetRuleSet, setControlParameters, setDebugLevel, setInferenceContext, setInferenceContext, setInferenceContext, setRuleSet, setWorkingMemory, startDebugConsole, stopDebugConsole, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleZCECorrelationEngine

    public AbleZCECorrelationEngine(AbleRuleSet theRuleSet,
                                    AbleLogger theTracer,
                                    AbleRuleBlock theRuleBlock)

  Constructor for AbleZCECorrelationEngine.

Parameters:
  `theRuleSet` -
  `theTracer` -
  `theRuleBlock` -

Method Detail

### infer

    public void infer(AbleRuleBlock theRuleBlock)
               throws AbleDataException

  Description copied from class: `AbleInferenceEngine`
  Inference over the set of rules in the specified ruleblock object.

  Overrides:
    `infer` in class `AbleCorrelationEngine`
  Throws:
    `AbleDataException`
  See Also:
    `AbleInferenceEngine.infer(AbleRuleBlock)`

### processEvent

    public void processEvent(com.tivoli.zce.engine.Event event)
                      throws java.lang.Exception

  Process an event pass from a ZCE rule that fired

  Specified by:
    `processEvent` in interface `com.tivoli.zce.IEventProcessor`
  Parameters:
    `event` - - event that cause the fire from the correlator
  Throws:
    `java.lang.Exception`

### processEvents

    public void processEvents(com.tivoli.zce.engine.EventList events)
                       throws java.lang.Exception

  Specified by:
    `processEvents` in interface `com.tivoli.zce.IEventProcessor`
  Parameters:
    `events` - - array of Event that cause the fire from the correlator this method is typically called when you use Rule of type State Machine the received array is in this case events from the triggering of the State Machine to the last events process by it.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005